Table of Contents

## Name

im_sines - creates a spatial sine wave form

## Synopsis

#include <vips/vips.h>

int im_sines(image, xsize, ysize, horfreq, verfreq)
IMAGE *image;
int xsize, ysize;
double horfreq, verfreq;

## Description

im_sines() creates a float one band image of the a sine waveform in two dimensions. The sizes of the created image are xsize by ysize. The number of horizontal and vertical spatial frequencies are determined by the variables horfreq and verfreq respectively. The function is the base for creating displayable sine waves and square waves in two dimensions.

## Return Value

The function returns 0 on success and -1 on error.

## See Also

im_grey(3X) , sines(1) , squares(1) .

## Copyright

N. Dessipris

## Author

N. Dessipris - 10/05/1991

Table of Contents

- Name
- Synopsis
- Description
- Return Value
- SeeAlso
- Copyright
- Author